Subject: [bug#57608] Upstreaming KDE Plasma and rest of packages

From: phodina <[email-masked]>
Date: Thu, 06 Oct 2022 12:09:24 +0000

So here are the patches. There are in tar as there is 171 of them :-)

- The last patch is for building a desktop if you want to test it and don't want to wait for the gnome desktop to be built.

- Package kwin-effects-yet-another-magic-lamp​ unfortunately broke due to update of kwin​ to 5.25.5.

- The other package is kapidox​ . There I tried to remove the phase `sanity-check` but there is still missing gv​ module

- Package discover​ runs but can't connect to whatever online so you don't get SW listed to install

- Some good news - kalendar​, itinerary​, kongress​ and other apps seem to work fine

- The deal breaker is that Plasma DE does not work ... yet. X11 displays black screen and wayland does not even start. I have dedicated machine where I intend to have a look into the issue by strace, going through logs etc.

- I also tried to update krita to 5.1.1 and ran out of space in tmpfs - it ate about 30 GB and failed ~90% of the build on clean machine with 32 GB of RAM. Is there a way to run build in different location - on the SSD/NVME/HDD?

I'll keep the branch plasma on github stable [1].

Any comments, reviews, testers and tips are welcome :-)

[1] https://github.com/phodina/guix/commit/a4d236529c260d27998ee48cd969fa52bfd3d62e
----
Petr

------- Original Message -------
On Tuesday, October 4th, 2022 at 4:01 PM, phodina <[email-masked]> wrote:

> I suggest to wait till tomorrow as I plan to make some additional changes and push them.
>
> Now the branch is out of sync with my local machine where I rebuilt the patches due to change to `extra-cmake-modules`.
>
> I'd like to test the code as I saw the issues about missing components were resolved in `kwin`.
>
> Also I'd like to attach the patchset v2 here.
>
> However it still might not result in fully working Plasma.
>
> ----
> Petr
>
> -------- Original Message --------
> On Oct 4, 2022, 1:07 PM, Marek Paśnikowski < [email-masked]> wrote:
>
>> The current branch (at commit
>> 5b1a2c2b5eb2029a2330ee3a2bbd7b648f4cea5c ) can not be pulled
>> by guix. Should I bisect this?
>>
>> Here is the build log:
>>
>> ```
>> marek@aisaka $ guix pull --allow-downgrades --disable-authentication
>> Updating channel 'guix' from Git repository at 'file:///home/marek/src/aisaka'...
>> guix pull: warning: moving channel 'guix' from f64c80a53843006aa96bbdb3d5286f67c7dc8d8f to unrelated commit 5b1a2c2b5eb2029a2330ee3a2bbd7b648f4cea5c
>> guix pull: warning: channel authentication disabled
>> Updating channel 'jeko' from Git repository at 'https://framagit.org/Jeko/guix-jeko-channel.git'...
>> guix pull: warning: channel authentication disabled
>> Building from these channels:
>> jeko https://framagit.org/Jeko/guix-jeko-channel.git 3c4fd0d
>> guix file:///home/marek/src/aisaka 5b1a2c2
>> Computing Guix derivation for 'x86_64-linux'... /
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
>> The following derivation will be built:
>> /gnu/store/4f3n9qvm66g1znil24iqnx70jk9x7ysb-profile.drv
>>
>> building package cache...
>> /builder for `/gnu/store/bhnd46s8ki5iml29ndq6y93fxhllgjmd-guix-package-cache.drv' failed to produce output path `/gnu/store/rwd3d86r0b938mha6cxiyhi9y9nrv80f-guix-package-cache'
>> build of /gnu/store/bhnd46s8ki5iml29ndq6y93fxhllgjmd-guix-package-cache.drv failed
>> View build log at '/var/log/guix/drvs/bh/nd46s8ki5iml29ndq6y93fxhllgjmd-guix-package-cache.drv.gz'.
>> cannot build derivation `/gnu/store/4f3n9qvm66g1znil24iqnx70jk9x7ysb-profile.drv': 1 dependencies couldn't be built
>> guix pull: error: build of `/gnu/store/4f3n9qvm66g1znil24iqnx70jk9x7ysb-profile.drv' failed
>>
>> marek@aisaka $ zcat /var/log/guix/drvs/bh/nd46s8ki5iml29ndq6y93fxhllgjmd-guix-package-cache.drv.gz
>> (repl-version 0 1 1)
>> Generating package cache for '/gnu/store/9jk80ks6jz193b03mn92lvclr61w6dvf-profile'...
>>
>> Backtrace:
>> In guix/memoization.scm:
>> 101:0 19 (_ #<hash-table 7fffe21a8500 1756/3517> #<package akon?> ?)
>> In guix/packages.scm:
>> 1249:12 18 (_)
>> In srfi/srfi-1.scm:
>> 460:18 17 (fold #<procedure 7fffe36c0700 at guix/packages.scm:12?> ?)
>> In guix/packages.scm:
>> 1253:42 16 (_ _ ("x86_64-linux"))
>> In guix/memoization.scm:
>> 101:0 15 (_ #<hash-table 7fffe21a8500 1756/3517> #<package kio@?> ?)
>> In guix/packages.scm:
>> 1249:12 14 (_)
>> In srfi/srfi-1.scm:
>> 460:18 13 (fold #<procedure 7fffe36f3d20 at guix/packages.scm:12?> ?)
>> In guix/packages.scm:
>> 1253:42 12 (_ _ ("x86_64-linux"))
>> In guix/memoization.scm:
>> 101:0 11 (_ #<hash-table 7fffe21a8500 1756/3517> #<package kdbu?> ?)
>> In guix/packages.scm:
>> 1249:12 10 (_)
>> In srfi/srfi-1.scm:
>> 460:18 9 (fold #<procedure 7fffe36f36e0 at guix/packages.scm:12?> ?)
>> In guix/packages.scm:
>> 1253:42 8 (_ _ ("x86_64-linux"))
>> In guix/memoization.scm:
>> 101:0 7 (_ #<hash-table 7fffe21a8500 1756/3517> #<package kini?> ?)
>> In guix/packages.scm:
>> 1257:37 6 (_)
>> 1517:16 5 (package->bag _ _ _ #:graft? _)
>> 1622:43 4 (thunk)
>> In gnu/packages/kde-frameworks.scm:
>> 2655:44 3 (arguments #<package [email-masked] guix/packages.scm:144?>)
>> In ice-9/boot-9.scm:
>> 1685:16 2 (raise-exception _ #:continuable? _)
>> 1780:13 1 (_ #<&compound-exception components: (#<&undefined-vari?>)
>> In unknown file:
>> 0 (backtrace #<undefined>)
>>
>> (exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (this-package-inputs)) (value #f))
>> ```